Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfFootnotesPositionType

    java.lang.Object
      java.lang.Enum<OdfFootnotesPositionType>
          org.odftoolkit.odfdom.dom.type.text.OdfFootnotesPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfFootnotesPositionType>

    public enum OdfFootnotesPositionType

extends Enum<OdfFootnotesPositionType>

DOM implementation of OpenDocument attribute text:footnotes-position.

Enum Constant Summary
`DOCUMENT`
`PAGE`
`SECTION`
`TEXT`

Method Summary
`static OdfFootnotesPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFootnotesPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFootnotesPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFootnotesPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SECTION

    public static final OdfFootnotesPositionType SECTION

### PAGE

    public static final OdfFootnotesPositionType PAGE

### DOCUMENT

    public static final OdfFootnotesPositionType DOCUMENT

### TEXT

    public static final OdfFootnotesPositionType TEXT

Method Detail

### values

    public static OdfFootnotesPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFootnotesPositionType c : OdfFootnotesPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFootnotesPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFootnotesPositionType>`
  Returns:
    return the name of OdfFootnotesPositionType

### toString

    public static String toString(OdfFootnotesPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFootnotesPositionType, see text:footnotes-position
  Returns:
    return the name of OdfFootnotesPositionType

### enumValueOf

    public static OdfFootnotesPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFootnotesPositionType
  Returns:
    return the constant of OdfFootnotesPositionType, see text:footnotes-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.